"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const enquirer = require("enquirer");
const fs = require("fs");
const base_1 = require("../base");
const run_1 = require("../base/run");
const conf_1 = require("../services/conf");
const logger_1 = require("../services/logger");
const message_1 = require("../services/message");
const util_1 = require("../util");
class Clean extends run_1.default {
    async run() {
        const { confirmed } = await enquirer.prompt({
            type: 'confirm',
            name: 'confirmed',
            message: 'Are you sure to delete template & local cache files?'
        });
        if (conf_1.default.isApp && confirmed) {
            logger_1.logger.warn('Start removing files...');
            const whitelist = [
                'app',
                'README.md',
                '.gitignore',
                '.git',
                '.devcontainer',
                conf_1.default.appConfName,
            ];
            const files = fs.readdirSync(process.cwd());
            files.map(async (file) => {
                if (!whitelist.includes(file)) {
                    await util_1.default.asyncExec(`rm -rf ${file}`);
                }
            });
        }
        else {
            logger_1.logger.info(message_1.MRDA.UNRECOGNIZED);
        }
    }
}
Clean.strict = false;
Clean.examples = [
    '$ rde clean',
];
Clean.flags = Object.assign({}, base_1.default.flags, run_1.default.flags);
exports.default = Clean;
