"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const conf_1 = require("./conf");
const logger_1 = require("./logger");
const render_1 = require("./render");
const { resolve } = path;
class IDE {
    get rdcConfPath() {
        return resolve(conf_1.default.localCacheDir, conf_1.default.rdcConfName);
    }
    get eslintPkgPath() {
        return resolve(conf_1.default.cwd, 'node_modules', 'eslint');
    }
    get eslintrcPath() {
        return resolve(conf_1.default.templateDir, '.eslintrc.js');
    }
    async initSettings(isApp) {
        logger_1.debug(`eslint pkg path: ${this.eslintPkgPath}`);
        logger_1.debug(`eslintrc path: ${this.eslintrcPath}`);
        await render_1.default.renderDir(resolve(__dirname, '..', 'mustaches', 'ide'), {
            eslintPkgPath: this.eslintPkgPath,
            eslintrcPath: this.eslintrcPath,
            isApp,
        }, ['.xml', '.json', '.iml'], conf_1.default.cwd, {
            overwrite: true,
        });
    }
}
exports.default = new IDE();
