declare class Sync {
    readonly appConf: AppConf;
    readonly from: any;
    readonly ports: any;
    /**
     * sync all
     * used for local dev env, resync is needed when container updates
     * 1. generate Dockerfile to local .cache
     * 2. generate docker-compose to local .cache
     *
     * if rdType is app
     * need to gen extra staged files
     */
    start({ watch, cmd, skipInstall }: {
        watch: any;
        cmd: any;
        skipInstall?: boolean;
    }): Promise<void>;
    /**
     * 1. copy template/package.json to .cache/package.json
     * 2. copy rde/rdc.config.js to .cache/rdc.config.js
     * 3. merge app optional pkg.json & rdc package.json
     */
    genAppStagedFiles(createRdc?: any): Promise<void>;
    genDevcontainer(createRdc: any): Promise<void>;
    registerHooks(): Promise<void>;
    mergePkgJson(appPkgPath: any, rdcPkgPath: any, destPath: any): Promise<any>;
    genDevPkgJson(): Promise<void>;
    install(): Promise<void>;
}
declare const _default: Sync;
export default _default;
